| drfindid

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find public databases by identifier

## Description

drfindid searches the Data Resource Catalogue to find entries with EDAM data identifier terms matching a query string.

## Algorithm

The first search is of the EDAM ontology data namespace, using the term names and their synonynms. All child terms are automatically included in the set of matches inless the `-nosubclasses` qualifier is used.

The `-sensitive` qualifier also searches the definition strings.

The set of EDAM terms are then compared to entries in the Data Resource Catalogue, searching the 'eid' EDAM identifier index.

## Usage

Here is a sample session with drfindid

    % drfindid "uniprot accession"
    Find public databases by identifier
    Data resource output file [drfindid.drcat]:

Go to the output files for this example

## Command line arguments

    Find public databases by identifier
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-query]             string     List of EDAM data keywords (Any string)
      [-outfile]           outresource [*.drfindid] Output data resource file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -sensitive          boolean    [N] By default, the query keywords are
                                      matched against the EDAM term names (and
                                      synonyms) only. This option also matches the
                                      keywords against the EDAM term definitions
                                      and will therefore (typically) report more
                                      matches.
       -[no]subclasses     boolean    [Y] Extend the query matches to include all
                                      terms which are specialisations (EDAM
                                      sub-classes) of the matched type.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Data resource output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-query] (Parameter 1) | string | List of EDAM data keywords | Any string |
[-outfile] (Parameter 2) | outresource | Output data resource file name | Data resource entry | <*>.drfindid
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-sensitive | boolean | By default, the query keywords are matched against the EDAM term names (and synonyms) only. This option also matches the keywords against the EDAM term definitions and will therefore (typically) report more matches. | Boolean value Yes/No | No
-[no]subclasses | boolean | Extend the query matches to include all terms which are specialisations (EDAM sub-classes) of the matched type. | Boolean value Yes/No | Yes
Associated qualifiers
"-outfile" associated outresource qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Data resource output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

None.

## Output file format

The output is a standard EMBOSS resource file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: drcat, basic, wsbasic, list.

See: http://emboss.sf.net/docs/themes/ResourceFormats.html for further information on resource formats.

### Output files for usage example

### File: drfindid.drcat

    ID      PRIDE
    Acc     DB-0130
    Name    PRIDE proteomics identifications database
    Desc    Standards compliant, public data repository for proteomics data, protein and peptide identifications together with the evidence supporting these identifications.
    URL     http://www.ebi.ac.uk/pride
    URLrest http://www.ebi.ac.uk/pride/prideMartWebService.do
    Cat     Proteomic databases
    Taxon   1 | all
    EDAMtpc 0767 | Protein and peptide identification
    EDAMtpc 0121 | Proteomics
    EDAMdat 2536 | Mass spectrometry data
    EDAMid  3021 | UniProt accession
    EDAMfmt 2331 | HTML
    Xref    SP_explicit | UniProt accession
    Query    Mass spectrometry data {PRIDE entry} | HTML | UniProt accession | http://www.ebi.ac.uk/pride/searchSummary.do?queryTypeSelected=identification%20accession%20number&identificationAccessionNumber=%s
    Example UniProt accession | P29375

    ID      PhosSite
    Acc     DB-0076
    Name    Phosphorylation site database for Archaea and Bacteria
    Desc    Phosphorylation site database for Archaea and Bacteria
    URL     http://www.phosphorylation.biochem.vt.edu/
    Cat     PTM databases
    Taxon   2 | Bacteria
    Taxon   2157 | Archaea
    EDAMtpc 0751 | Phosphorylation sites
    EDAMdat 2071 | Sequence motif (protein)
    EDAMid  3021 | UniProt accession
    EDAMfmt 2331 | HTML
    Xref    SP_explicit | UniProt accession
    Query    Sequence motif (protein) {PhosSite entry} | HTML | UniProt accession | http://www.phosphorylation.biochem.vt.edu/xpd2.cfm?extf=uniprot&extref=%s
    Example UniProt accession | P36683

    ID      UniProtKB_Swiss-Prot
    IDalt   SwissProt
    Name    Universal protein resource knowledge base / Swiss-Prot
    Desc    Section of the UniProt knowledgebase, containing annotated records, which include curator-evaluated computational analysis, as well as, information extracted from the literature
    URL     http://www.uniprot.org
    Taxon   1 | all
    EDAMtpc 0639 | Protein sequence analysis
    EDAMdat 2201 | Sequence record full
    EDAMid  3021 | UniProt accession
    EDAMfmt 1929 | FASTA format
    EDAMfmt 2376 | RDF
    EDAMfmt 2331 | HTML
    EDAMfmt 2332 | XML
    Xref    EMBL_explicit | UniProt accession
    Query    Sequence record full | HTML | UniProt accession | http://www.uniprot.org/uniprot/%s
    Query    Sequence record full | Text | UniProt accession | http://www.uniprot.org/uniprot/%s.txt
    Query    Sequence record full | XML | UniProt accession | http://www.uniprot.org/uniprot/%s.xml

      [Part of this file has been deleted for brevity]

    EDAMfmt 2331 | HTML
    Xref    SP_explicit | UniProt accession
    Query    2D PAGE spot annotation | HTML | UniProt accession | http://www.mpiib-berlin.mpg.de/mpiib-cgi/RAT-HEART/get-2d-entry?%s
    Example UniProt accession | P62738

    ID      PHCI-2DPAGE
    Acc     DB-0075
    Name    Parasite host cell interaction 2D-PAGE database (PHCI-2DPAGE)
    Desc    Two-dimensional polyacrylamide gel electrophoresis database.
    URL     http://www.gram.au.dk/2d/2d.html
    Cat     2D gel databases
    Taxon   1 | all
    EDAMtpc 0767 | Protein and peptide identification
    EDAMdat 2364 | Experiment annotation (2D PAGE)
    EDAMid  3021 | UniProt accession
    EDAMfmt 2331 | HTML
    Xref    SP_explicit | UniProt accession
    Query    Experiment annotation (2D PAGE) | HTML | UniProt accession | http://www.gram.au.dk/cgi-bin/get-2d-entry?%s
    Example UniProt accession | P17821

    ID      Bgee
    Acc     DB-0133
    Name    Bgee database for gene expression evolution
    Desc    Bgee is a database to retrieve and compare gene expression patterns between animal species.  Bgee first maps heterogeneous expression data (currently EST, Affymetrix, and in situ hybridization data) on anatomical and developmental ontologies.  Then, in order to perform automated cross species comparisons, homology relationships across anatomical ontologies, and comparison criteria between developmental ontologies, are designed.
    URL     http://bgee.unil.ch
    Cat     Gene expression databases
    Taxon   1 | all
    EDAMtpc 0623 | Genes, gene family or system
    EDAMtpc 0197 | Gene expression resources
    EDAMtpc 0203 | Transcriptomics
    EDAMdat 0929 | Gene annotation (expression)
    EDAMdat 0928 | Gene expression profile
    EDAMdat 0916 | Gene annotation
    EDAMdat 2579 | Gene annotation (expressed gene list)
    EDAMid  3021 | UniProt accession
    EDAMid  1033 | Gene ID (Ensembl)
    EDAMfmt 2331 | HTML
    Xref    SP_explicit | UniProt accession
    Query    Gene annotation | HTML | UniProt accession | http://bgee.unil.ch/bgee/bgee?uniprot_id=%s
    Query    Gene annotation | HTML | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=gene&action=expression&gene_id=%s
    Query    Gene expression profile | HTML | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=gene&action=expression&gene_id=%s
    Query    Gene annotation (expression) | HTML | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=expression&action=data&gene_id=%s
    Query    Gene annotation (expressed gene list) {Bgee ID file} | Text | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=expression&action=genes&search_by=1&organ_children=on&gene_organ_stage_information=on&attribut_list=species_name&attribut_list=gene_name&attribut_list=gene_id&gene_id=%s&display_type=tsv
    Query    Gene annotation (expressed gene list) {Bgee ID file with expression data} | Text | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=expression&action=genes&search_by=1&organ_children=on&gene_organ_stage_information=on&attribut_list=species_name&attribut_list=gene_name&attribut_list=gene_id&gene_id=%s&display_type=tsv&gene_information=2
    Query    Gene annotation (expressed gene list) {Bgee ID file with expression data count} | Text | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=expression&action=genes&search_by=1&organ_children=on&gene_organ_stage_information=on&attribut_list=species_name&attribut_list=gene_name&attribut_list=gene_id&gene_id=%s&display_type=tsv&gene_information=1
    Query    Gene annotation (expressed gene list) {Bgee ID file} | HTML | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=expression&action=genes&search_by=1&organ_children=on&gene_organ_stage_information=on&attribut_list=species_name&attribut_list=gene_name&attribut_list=gene_id&gene_id=%s
    Query    Gene annotation (expressed gene list) {Bgee ID file with expression data} | HTML | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=expression&action=genes&search_by=1&organ_children=on&gene_organ_stage_information=on&attribut_list=species_name&attribut_list=gene_name&attribut_list=gene_id&gene_id=%s&gene_information=2
    Query    Gene annotation (expressed gene list) {Bgee ID file with expression data count} | HTML | Gene ID (Ensembl) | http://bgee.unil.ch/bgee/bgee?page=expression&action=genes&search_by=1&organ_children=on&gene_organ_stage_information=on&attribut_list=species_name&attribut_list=gene_name&attribut_list=gene_id&gene_id=%s&gene_information=1
    Example Gene ID (Ensembl) | ENSG00000091831
    Example UniProt accession | P32234

## Data files

The Data Resource Catalogue is included in EMBOSS as local database drcat. The EDAM Ontology is included in EMBOSS as local database edam.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
drfinddata | Find public databases by data type
drfindformat | Find public databases by format
drfindresource | Find public databases by resource
drget | Get data resource entries
drtext | Get data resource entries complete text
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
wossdata | Find programs by EDAM data
wossinput | Find programs by EDAM input data
wossoperation | Find programs by EDAM operation
wossoutput | Find programs by EDAM output data
wossparam | Find programs by EDAM parameter
wosstopic | Find programs by EDAM topic

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None